# QDesktopWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QDesktopWidget()

### Constructor Properties

- prototype: The QDesktopWidget prototype object

### Prototype Object Properties

The QDesktopWidget prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QRect availableGeometry(QPoint point)
- int numScreens()
- QWidget screen(int screen)
- QRect screenGeometry(QPoint point)
- int screenNumber(QPoint arg__1)

### Instance Properties

QDesktopWidget objects inherit properties from the QDesktopWidget prototype object and also have the following properties.

- virtualDesktop
- screenCount
- primaryScreen